"""==============================================================
با فرض اینکه ۲۰۰ عدد در آرایه A قبلاً ذخیره شده است و آرایه دارای
عناصر تکراری است و به صورت نزولی مرتب شده است. منطق برنامه ای را
طراحی کنید که آرایه B را به گونه ای بسازد که عناصر آرایه A بدون
تکرار در آن قرار گیرند و تعداد عناصر تکراری مشخص و چاپ شوند و سرانجام
آرایه B به صورت صعودی چاپ شود.
=============================================================="""

A = [10,9,8,8,8,7,7,6,5,3,2,1,1,1,1,-1]

B = []

while len(A) > 0:
    temp = A[0]
    count = 0
    dif = 0
    same = 0
    for i in range(len(A)):
        if A[i] == temp:
            count+=1
    if count == 1:
        B.append(temp)
        A.remove(A[0])
        dif +=1
    else:
        print(temp,"==> ",count)
        A = A[count:]

for i in range(len(B)):
    for j in range(len(B)-(i+1)):
        if B[j] > B[j+1]:
            temp = B[j]
            B[j] = B[j+1]
            B[j+1] = temp

print(B)
